--- title: "Get the vIPS Controller Details" slug: "get-the-vips-controller-details-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/get-the-vips-controller-details-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the vIPS Controller Details This URL gets the vIPS controller details. ### Resource URL GET /cloud/connector/ ### Request Parameters **URL Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `id` | Controller id | Number | Yes | **Payload Request Parameters** None ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned: | Field Name | Description | Data Type | | --- | --- | --- | | `id` | Controller id | Number | | `domain` | Domain details | String | | `name` | Controller name | String | | `isHA` | Specifies if the controller is in high availability mode or not | Boolean | | `serviceIp` | Controller service IP, if provided | String | | `haTimeout` | High availability timeout in minutes | Number | | `sharedSecret` | Shared secret between Manager and the controller | String | | `privateCommunicationSubnet` | Private controller communication subnet CIDR | String | | `lastUpdated` | Last updated time | String | | `description` | Controller description | String | | `members` | Controller member details. Maximum 2 members. | Array | | `cloud` | Cloud access details | Object | Details of fields in members: | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Registration/connection status between controller and the Manager | String | | `localIP` | Controller member private IP | String | | `controllerSoftware` | Software version on controller | String | | `probeSoftware` | Virtual probe agent version associated with the controller | String | Details of fields in cloud: | Field Name | Description | Data Type | | --- | --- | --- | | `type` | Type of cloud environment. Supported Value: - Amazon - Azure | String | | `awsDetails` | AWS cloud details | Object | | `azureDetails` | Azure cloud details | Object | Details of fields in AWS: | Field Name | Description | Data Type | | --- | --- | --- | | `useIAMRole` | Specifies if the IAM roles in Manager machines are used to access the AWS cloud or not | Boolean | | `region` | Cloud access region | String | | `accessKey` | Cloud access key | String | | `secretKey` | Cloud access secret key | String | Details of fields in Azure: | Field Name | Description | Data Type | | --- | --- | --- | | `directoryId` | Azure directory id | String | | `applicationKey` | Azure app application key | String | | `applicationId` | Azure app application id | String | | `subscription` | Azure app subscription id | String | ### Example **Request** GET [https:///sdkapi/cloud/conenctor/101](https://<NSM_IP>/sdkapi/cloud/conenctor/101) **Response** ``` {  "id": 101,  "domain": "My Company ( 0 )",  "name": "Cont8_4",  "isHA": true,  "serviceIp": "34.210.121.120",  "haTimeout": 5,  "sharedSecret": "********",  "privateCommunicationSubnet": "1.1.12.0/24",  "lastUpdated": "2017-06-14 09:03:39.0 ( null )",  "description": "controller in 8.4",  "members": [    {      "status": "ONLINE",      "localIP": "10.40.10.17",      "controllerSoftware": "3.6.1 (060717a)",      "probeSoftware": "3.6.1-5"    },    {      "status": "ONLINE",      "localIP": "10.40.10.98",      "controllerSoftware": "3.6.1 (060717a)",      "probeSoftware": "3.6.1-5"    }  ],  "cloud": {      "type": "AMAZON",      “awsDetails”: { “useIAMRole”: false,      "region": "US West (Oregon)",      "accessKey": "AKIAJOKGKIFNHOWISXOA",     "secretKey": "****************************************"      },      “azureDetails”: null      } } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error message | | 2 | 400 | 11001 | Invalid controller |